From 8abb8b44f857bfe529a34ce0b57885dd062e2f62 Mon Sep 17 00:00:00 2001
From: Mahendra Singh Thalor <mahi6run@gmail.com>
Date: Sun, 29 Mar 2020 19:44:43 -0700
Subject: [PATCH] Fix warning in compute_parallel_delay for Coverity

---
 src/backend/commands/vacuum.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index 59731d687f..c5c7a452fc 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -2077,7 +2077,7 @@ compute_parallel_delay(void)
 	VacuumCostBalanceLocal += VacuumCostBalance;
 
 	if ((shared_balance >= VacuumCostLimit) &&
-		(VacuumCostBalanceLocal > 0.5 * (VacuumCostLimit / nworkers)))
+		(VacuumCostBalanceLocal > (int) (0.5 * ((double) VacuumCostLimit / nworkers))))
 	{
 		/* Compute sleep time based on the local cost balance */
 		msec = VacuumCostDelay * VacuumCostBalanceLocal / VacuumCostLimit;
-- 
2.17.1

